# Uses of Class
org.apache.lucene.search.uhighlight.PassageScorer

Packages that use PassageScorer
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of PassageScorer in org.apache.lucene.search.uhighlight

  Fields in org.apache.lucene.search.uhighlight declared as PassageScorer
  Modifier and Type
  Field
  Description
  `protected final PassageScorer`
  FieldHighlighter.`passageScorer`
  Methods in org.apache.lucene.search.uhighlight that return PassageScorer
  Modifier and Type
  Method
  Description
  `protected PassageScorer`
  UnifiedHighlighter.`getScorer(String field)`
  Returns the `PassageScorer` to use for ranking passages.
  Methods in org.apache.lucene.search.uhighlight with parameters of type PassageScorer
  Modifier and Type
  Method
  Description
  `protected FieldHighlighter`
  UnifiedHighlighter.`newFieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`
  `void`
  UnifiedHighlighter.`setScorer(PassageScorer scorer)`
  Deprecated.
  `UnifiedHighlighter.Builder`
  UnifiedHighlighter.Builder.`withScorer(PassageScorer value)`
  Constructors in org.apache.lucene.search.uhighlight with parameters of type PassageScorer
  Modifier
  Constructor
  Description
  ``
  `FieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`